searchNodes=[{"doc":"This is the base module for RPG. It currently does nothing.","ref":"RPG.html","title":"RPG","type":"module"},{"doc":"","ref":"RPG.Modifier.html","title":"RPG.Modifier","type":"module"},{"doc":"","ref":"RPG.Modifier.html#apply/2","title":"RPG.Modifier.apply/2","type":"function"},{"doc":"The Attack module is responsible for resolving an attack. An Attack struct contains an attacker, a defender, and a list of damages. Each damage is a tuple of {damage_type, damage_value}.","ref":"RPG.V1.Battle.Attack.html","title":"RPG.V1.Battle.Attack","type":"module"},{"doc":"execute. Returns a tuple containing two lists, one a list of modifiers which apply to the defender, and another list of modifiers which apply to the attacker. Examples iex&gt; attacker = RPG.V1.Character . create ( %{ name : &quot;Attacker&quot; , class : :black_mage , level : 1 } ) % RPG.V1.Character { class : :black_mage , defense : 6 , hit_points : 8 , level : 1 , magic_points : 3 , modifiers : [ % RPG.Modifier { attribute : :hit_points , source : :black_mage , type : :add , value : 2 } , % RPG.Modifier { attribute : :magic_points , source : :black_mage , type : :add , value : 3 } ] , name : &quot;Attacker&quot; , strength : 6 , toxicity : 0 } iex&gt; defender = RPG.V1.Character . create ( %{ name : &quot;Defender&quot; , class : :fighter , level : 1 } ) % RPG.V1.Character { class : :fighter , defense : 6 , hit_points : 8 , level : 1 , magic_points : 0 , modifiers : [ % RPG.Modifier { attribute : :hit_points , source : :fighter , type : :add , value : 2 } , % RPG.Modifier { attribute : :strength , source : :fighter , type : :add , value : 3 } ] , name : &quot;Defender&quot; , strength : 9 , toxicity : 0 } iex&gt; attack = % RPG.V1.Battle.Attack { attacker : attacker , defender : defender , damages : [ { :blunt_damage , 7 } ] } % RPG.V1.Battle.Attack { defender : % RPG.V1.Character { class : :fighter , defense : 6 , hit_points : 8 , level : 1 , magic_points : 0 , modifiers : [ % RPG.Modifier { attribute : :hit_points , source : :fighter , type : :add , value : 2 } , % RPG.Modifier { attribute : :strength , source : :fighter , type : :add , value : 3 } ] , name : &quot;Defender&quot; , strength : 9 , toxicity : 0 } , attacker : % RPG.V1.Character { class : :black_mage , defense : 6 , hit_points : 8 , level : 1 , magic_points : 3 , modifiers : [ % RPG.Modifier { attribute : :hit_points , source : :black_mage , type : :add , value : 2 } , % RPG.Modifier { attribute : :magic_points , source : :black_mage , type : :add , value : 3 } ] , name : &quot;Attacker&quot; , strength : 6 , toxicity : 0 } , damages : [ { :blunt_damage , 7 } ] }","ref":"RPG.V1.Battle.Attack.html#execute/1","title":"RPG.V1.Battle.Attack.execute/1","type":"function"},{"doc":"","ref":"RPG.V1.Battle.BluntDamage.html","title":"RPG.V1.Battle.BluntDamage","type":"module"},{"doc":"","ref":"RPG.V1.Battle.BluntDamage.html#resolve_conflicts/1","title":"RPG.V1.Battle.BluntDamage.resolve_conflicts/1","type":"function"},{"doc":"","ref":"RPG.V1.Battle.BluntDamage.html#resolve_modifier/2","title":"RPG.V1.Battle.BluntDamage.resolve_modifier/2","type":"function"},{"doc":"","ref":"RPG.V1.Battle.BluntDamage.html#resolve_modifiers/2","title":"RPG.V1.Battle.BluntDamage.resolve_modifiers/2","type":"function"},{"doc":"","ref":"RPG.V1.Battle.BluntDamage.html#slug/0","title":"RPG.V1.Battle.BluntDamage.slug/0","type":"function"},{"doc":"","ref":"RPG.V1.Battle.DefenderModifiers.html","title":"RPG.V1.Battle.DefenderModifiers","type":"module"},{"doc":"","ref":"RPG.V1.Battle.DefenderModifiers.html#sort/1","title":"RPG.V1.Battle.DefenderModifiers.sort/1","type":"function"},{"doc":"","ref":"RPG.V1.Battle.PiercingDamage.html","title":"RPG.V1.Battle.PiercingDamage","type":"module"},{"doc":"","ref":"RPG.V1.Battle.PoisonDamage.html","title":"RPG.V1.Battle.PoisonDamage","type":"module"},{"doc":"","ref":"RPG.V1.Battle.PoisonDamage.html#resolve_modifier/2","title":"RPG.V1.Battle.PoisonDamage.resolve_modifier/2","type":"function"},{"doc":"","ref":"RPG.V1.Battle.PoisonDamage.html#resolve_modifiers/2","title":"RPG.V1.Battle.PoisonDamage.resolve_modifiers/2","type":"function"},{"doc":"","ref":"RPG.V1.Character.html","title":"RPG.V1.Character","type":"module"},{"doc":"","ref":"RPG.V1.Character.html#create/1","title":"RPG.V1.Character.create/1","type":"function"},{"doc":"","ref":"RPG.V1.Character.html#is_poisoned?/1","title":"RPG.V1.Character.is_poisoned?/1","type":"function"},{"doc":"","ref":"RPG.V1.Class.html","title":"RPG.V1.Class","type":"module"},{"doc":"","ref":"RPG.V1.Class.html#all/0","title":"RPG.V1.Class.all/0","type":"function"},{"doc":"","ref":"RPG.V1.Class.html#modifiers/1","title":"RPG.V1.Class.modifiers/1","type":"function"},{"doc":"","ref":"RPG.V1.Class.BlackMage.html","title":"RPG.V1.Class.BlackMage","type":"module"},{"doc":"","ref":"RPG.V1.Class.Fighter.html","title":"RPG.V1.Class.Fighter","type":"module"},{"doc":"","ref":"RPG.V1.Class.RedMage.html","title":"RPG.V1.Class.RedMage","type":"module"},{"doc":"","ref":"RPG.V1.Class.WhiteMage.html","title":"RPG.V1.Class.WhiteMage","type":"module"},{"doc":"","ref":"RPG.V1.Class.WhiteMage.html#tactics/0","title":"RPG.V1.Class.WhiteMage.tactics/0","type":"function"},{"doc":"","ref":"Slug.html","title":"Slug","type":"module"},{"doc":"","ref":"Slug.html#from_string/1","title":"Slug.from_string/1","type":"function"},{"doc":"TODO: Add description","ref":"readme.html","title":"Rpg","type":"extras"},{"doc":"If available in Hex , the package can be installed by adding rpg to your list of dependencies in mix.exs : def deps do [ { :rpg , &quot;~&gt; 0.1.0&quot; } ] end Documentation can be generated with ExDoc and published on HexDocs . Once published, the docs can be found at https://hexdocs.pm/rpg .","ref":"readme.html#installation","title":"Rpg - Installation","type":"extras"}]